<?
include("config.inc");
$stroka =  @file("http://wallet.wmcentre.net/geturl.php?com=buy&pass=$password&idp=$idp", "r");
$strokurl=$stroka[0];
// $strokurl=str_replace("\n", "", $strokurl);
$strokurl=substr($strokurl,0,strlen($strokurl)-2);

?>

<?

if($view <> "")
{
$a2="&view=".$view;
}

if($id <> "")
{
$a3="&id=".$id;
}

if($id_d <> "")
{
$a1="?id_d=".$id_d;
}

$plati =  @file($strokurl.$a1.$a2.$a3, "r");



$max=count($plati);
$i=0;
while($i <= $max)
{
$now=$plati[$i];
$poisk=strstr($now,"НАЗВАНИЕ ТОВАРА:"); 
$poisk2=strstr($now,"отрицательных:"); 

$stroka=$plati[$i];

$stroka=str_replace("asp", "php", $stroka);
$stroka=str_replace("asp", "php", $stroka);
$stroka=str_replace("asp", "php", $stroka);
$stroka=str_replace("asp", "php", $stroka);

$plati[$i]=$stroka;


if($poisk == true)
{
$poz1=$i-1;
}

if($poisk2 == true)
{
if($view <> "")
{$poz2=$i+9;}
if($view == "")
{$poz2=$i+2;}
}


if($poz1 == true && $poz2 == true)
{
while($poz1 <= $poz2)
{
print $plati[$poz1];
$poz1=$poz1+1;

}
}
$i=$i+1;
$poisk="";
$poisk2="";



}


print "</table>";
?>


<p align=center><input type=submit ONCLICK='window.location.href="http://wallet.wmcentre.net/buy.php?id_d=<? echo $id_d; ?>"; ' value="Купить товар" name="go" style="font-family: Verdana; font-size: 10pt; color: #004D00; background-color: #CAA217; font-weight: bold"></p>

<br>
